<template>
  <div id="app">
    <Nav></Nav>
    <google-map ref="map" />
    <MyTable></MyTable>
  </div>
</template>

<script>

import GoogleMap from '@/components/Map.vue';
import MyTable from '@/components/Table.vue';
import Nav from '@/components/Nav.vue';

export default {
    name: "App",
    components: {
      GoogleMap,
      MyTable,
      Nav
    }
};

</script>

<style scoped>

#app {
  background-color: rgb(204, 245, 245);
}

.navbar {
  overflow: hidden;
  background-color:black;
  font-family: Arial;
  
}

.navbar a {
  float: right;
  font-size: 16px;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

.dropdown {
  float: left;
  overflow: hidden;
}


.dropdown .dropbtn {
  font-size: 16px;
  border: none;
  outline: none;
  color: white;
  padding: 14px 16px;
  background-color: inherit;
  font-family: inherit; 
  margin: 0; 
}

.navbar a:hover, .dropdown:hover .dropbtn {
  background-color: blueviolet;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

.dropdown-content a {
  float: none;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.dropdown-content a:hover {
  background-color: #ddd;
}

.dropdown:hover .dropdown-content {
  display: block;
}


</style>



